{{  P16 Input States.spin
Example of detecting the state of a pushbutton.
See book page 124 for schematic.

}} 
CON

  _clkmode = xtal1 + pll16x     ' Crystal and PLL settings.
  _xinfreq = 5_000_000          ' 5 MHz crystal x 16 = 80 MHz
  
OBJ

  pst : "Parallax Serial Terminal" ' Serial communication object

PUB Go
                                
  pst.Start(115200)             ' Start Parallax Serial Terminal

  repeat
    pst.Str(String(pst#HM, "ina[16] == "))
    pst.Bin(ina[16], 1)         ' Display 1 binary digit
    waitcnt(clkfreq/20 + cnt)   ' Wait 1/20 second
    